Bug 1188874 - [abrt] copr-cli: main.py:234:action_list:UnicodeEncodeError: 'ascii' codec can't encode character u'\xfc' in position 72: ordinal not in range(128)
Summary: [abrt] copr-cli: main.py:234:action_list:UnicodeEncodeError: 'ascii' codec ca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: copr-cli
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:178357b96cd65fb3b93c31b473c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-03 22:01 UTC by Thomas Spura
Modified: 2015-07-27 23:10 UTC (History)
2 users (show)

Fixed In Version: python-copr-1.57-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 08:22:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.01 KB, text/plain)
2015-02-03 22:01 UTC, Thomas Spura
no flags Details

Description Thomas Spura 2015-02-03 22:01:19 UTC
Description of problem:
Just run "copr-cli list"

Version-Release number of selected component:
copr-cli-1.43-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python2 /usr/bin/copr-cli list
executable:     /usr/bin/copr-cli
kernel:         3.18.3-201.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
main.py:234:action_list:UnicodeEncodeError: 'ascii' codec can't encode character u'\xfc' in position 72: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/copr-cli", line 9, in <module>
    load_entry_point('copr-cli==0.3.0', 'console_scripts', 'copr-cli')()
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 415, in main
    getattr(commands, arg.func)(arg)
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 87, in wrapper
    return func(self, args)
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 234, in action_list
    print(prj)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xfc' in position 72: ordinal not in range(128)

Local variables in innermost frame:
username: 'tomspur'
self: <copr_cli.main.Commands object at 0x7f2533ca5550>
args: Namespace(debug=False, func='action_list', username=None)
result: <copr.client.responses.CoprResponse object at 0x7f253e302a50>
prj: <copr.client.responses.ProjectWrapper object at 0x7f2533c9dfd0>

Comment 1 Thomas Spura 2015-02-03 22:01:23 UTC
Created attachment 987857 [details]
File: backtrace

Comment 2 Jakub Kadlčík 2015-06-15 08:21:11 UTC
Hello Thomas, thank you for the feedback. The issue has been fixed in 07dcd3f.

Comment 3 Fedora Update System 2015-07-02 14:02:42 UTC
python-copr-1.57-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-copr-1.57-1.fc22

Comment 4 Fedora Update System 2015-07-02 14:03:56 UTC
python-copr-1.57-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-copr-1.57-1.fc21

Comment 5 Fedora Update System 2015-07-02 14:04:53 UTC
python-copr-1.57-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-copr-1.57-1.el7

Comment 6 Fedora Update System 2015-07-03 18:36:34 UTC
Package python-copr-1.57-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-copr-1.57-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11043/python-copr-1.57-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-07-21 08:22:31 UTC
python-copr-1.57-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-07-21 08:23:11 UTC
python-copr-1.57-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-07-27 23:10:23 UTC
python-copr-1.57-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.